Don't check mirror for source if NOSOURCE is set; improved error checking for mirror checks

This commit is contained in:
Frans Pop 2006-10-07 00:11:28 +00:00
parent 81921e7893
commit 522032c9af
1 changed files with 8 additions and 5 deletions

View File

@ -21,11 +21,14 @@ if [ "$SKIPMIRRORCHECK" = "yes" ]; then
echo " ... WARNING: skipping mirror check"
else
echo " ... checking your mirror"
make mirrorcheck-binary
make mirrorcheck-source
if [ $? -gt 0 ]; then
echo "ERROR: Your mirror has a problem, please correct it." >&2
exit 1
RET=""
make mirrorcheck-binary || RET=$?
if [ -z "$RET" ] && [ -z "$NOSOURCE" ]; then
make mirrorcheck-source || RET=$?
fi
if [ "$RET" ]; then
echo "ERROR: Your mirror has a problem, please correct it." >&2
exit 1
fi
fi
echo " ... selecting packages to include"